diff --git a/lib/plugins/features/init.js b/lib/plugins/features/init.js
index 97b3068cd14a39b21ccaaedc9d992ffb107585af..7ee41b7e5a7302535ae34e9e875d013c8f1269b3 100644
--- a/lib/plugins/features/init.js
+++ b/lib/plugins/features/init.js
@@ -12,13 +12,13 @@ function _fs() {
   return data;
 }
 var _context = require("../../context");
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 const UMI_LIKE_PKGS = ['umi', '@alipay/bigfish'];
 /**
  * dumi prepare plugin
  */
 var _default = api => {
-  var _api$args, _api$args2;
+  var _api$args;
   const deps = Object.assign({}, api.pkg.dependencies, api.pkg.devDependencies);
   // enable ingetrate mode if dumi was registered as a umi preset on a umi like project
   const isIntegrateUmi = UMI_LIKE_PKGS.some(pkg => deps[pkg]) && deps['@umijs/preset-dumi'] &&
@@ -41,12 +41,15 @@ var _default = api => {
     return memo;
   });
   // re-enable @ & @@ umi default alias for integrated mode
-  if (isIntegrateUmi || ((_api$args2 = api.args) === null || _api$args2 === void 0 ? void 0 : _api$args2.dumi)) {
-    api.modifyDefaultConfig(memo => {
+  api.modifyDefaultConfig(memo => {
+    var _api$args2;
+    if (isIntegrateUmi || ((_api$args2 = api.args) === null || _api$args2 === void 0 ? void 0 : _api$args2.dumi)) {
       memo.alias['@'] = api.paths.absSrcPath;
       memo.alias['@@'] = api.paths.absTmpPath;
-      return memo;
-    });
-  }
+    }
+    // enable dist hash by default
+    memo.hash = true;
+    return memo;
+  });
 };
 exports.default = _default;
\ No newline at end of file
diff --git a/lib/plugins/features/mdComponent.js b/lib/plugins/features/mdComponent.js
index d0c4926628041b5844f5fc4b3ad0e3a5db7c6b75..e2caebf5db5ef4d18bb76e2caf0e0159c1dfe6c6 100644
--- a/lib/plugins/features/mdComponent.js
+++ b/lib/plugins/features/mdComponent.js
@@ -5,10 +5,10 @@ Object.defineProperty(exports, "__esModule", {
 });
 exports.default = void 0;
 var _mdComponent = require("../../transformer/remark/mdComponent");
-function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }
-function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }
+function asyncGeneratorStep(n, t, e, r, o, a, c) { try { var i = n[a](c), u = i.value; } catch (n) { return void e(n); } i.done ? t(u) : Promise.resolve(u).then(r, o); }
+function _asyncToGenerator(n) { return function () { var t = this, e = arguments; return new Promise(function (r, o) { var a = n.apply(t, e); function _next(n) { asyncGeneratorStep(a, r, o, _next, _throw, "next", n); } function _throw(n) { asyncGeneratorStep(a, r, o, _next, _throw, "throw", n); } _next(void 0); }); }; }
 var _default = api => {
-  api.onPluginReady( /*#__PURE__*/_asyncToGenerator(function* () {
+  api.onPluginReady(/*#__PURE__*/_asyncToGenerator(function* () {
     const mdComponents = yield api.applyPlugins({
       type: api.ApplyPluginsType.add,
       key: 'dumi.registerMdComponent',
diff --git a/lib/plugins/features/menus.js b/lib/plugins/features/menus.js
index e495a8e5a1dc1e1c6e3e41914f07f859331b27f0..693c8f0c4cfcd3becaa3406eef1461f169c606ee 100644
--- a/lib/plugins/features/menus.js
+++ b/lib/plugins/features/menus.js
@@ -6,8 +6,8 @@ Object.defineProperty(exports, "__esModule", {
 exports.default = void 0;
 var _context = _interopRequireWildcard(require("../../context"));
 var _integrate = require("../../routes/decorator/integrate");
-function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
-function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
+function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
+function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
 var _default = api => {
   api.describe({
     key: 'menus',
diff --git a/lib/plugins/features/navs.js b/lib/plugins/features/navs.js
index ccfb4da6ad7c84adbb57d80eca327fc742a6e741..d9e5e855af4e67bcd5749a4b7697a16d4316df6b 100644
--- a/lib/plugins/features/navs.js
+++ b/lib/plugins/features/navs.js
@@ -6,13 +6,13 @@ Object.defineProperty(exports, "__esModule", {
 exports.default = void 0;
 var _context = _interopRequireWildcard(require("../../context"));
 var _integrate = require("../../routes/decorator/integrate");
-function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
-function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
-function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
-function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
-function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
-function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
-function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
+function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
+function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
+function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
+function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
+function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
+function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
+function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
 var _default = api => {
   api.describe({
     key: 'navs',
diff --git a/lib/plugins/features/resolve.js b/lib/plugins/features/resolve.js
index eb4d80de5d2a355785133fe2a7a8446aa4b1ee15..d92140ead14ba7f48651f091e9c5ca97ebea8e25 100644
--- a/lib/plugins/features/resolve.js
+++ b/lib/plugins/features/resolve.js
@@ -13,7 +13,7 @@ function _path() {
 }
 var _context = require("../../context");
 var _getHostPkgAlias = _interopRequireDefault(require("../../utils/getHostPkgAlias"));
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 var _default = api => {
   const hostPkgAlias = (0, _getHostPkgAlias.default)(api.paths);
   api.describe({
diff --git a/lib/plugins/features/routes.js b/lib/plugins/features/routes.js
index 3e247896ca6ed768f91ec3270d72a1d8becf8b7b..72b01d5cb945dafd92e67098ecf3d576df0c7ed6 100644
--- a/lib/plugins/features/routes.js
+++ b/lib/plugins/features/routes.js
@@ -6,17 +6,17 @@ Object.defineProperty(exports, "__esModule", {
 exports.default = void 0;
 var _context = _interopRequireDefault(require("../../context"));
 var _getRouteConfig = _interopRequireWildcard(require("../../routes/getRouteConfig"));
-function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
-function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }
-function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }
+function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
+function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function asyncGeneratorStep(n, t, e, r, o, a, c) { try { var i = n[a](c), u = i.value; } catch (n) { return void e(n); } i.done ? t(u) : Promise.resolve(u).then(r, o); }
+function _asyncToGenerator(n) { return function () { var t = this, e = arguments; return new Promise(function (r, o) { var a = n.apply(t, e); function _next(n) { asyncGeneratorStep(a, r, o, _next, _throw, "next", n); } function _throw(n) { asyncGeneratorStep(a, r, o, _next, _throw, "throw", n); } _next(void 0); }); }; }
 /**
  * plugin for generate routes
  */
 var _default = api => {
   // generate docs routes
-  api.onPatchRoutesBefore( /*#__PURE__*/function () {
+  api.onPatchRoutesBefore(/*#__PURE__*/function () {
     var _ref = _asyncToGenerator(function* ({
       routes,
       parentRoute
diff --git a/lib/plugins/features/sideEffects/docSideEffectsWebpackPlugin.js b/lib/plugins/features/sideEffects/docSideEffectsWebpackPlugin.js
index 73bb0230b96b549d00437ff176364d9ce7e423df..010d6bf6f601f3a45a511ac595bfdf72a155531f 100644
--- a/lib/plugins/features/sideEffects/docSideEffectsWebpackPlugin.js
+++ b/lib/plugins/features/sideEffects/docSideEffectsWebpackPlugin.js
@@ -11,7 +11,7 @@ function _path() {
   };
   return data;
 }
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 /**
  * webpack plugin for add extra sideEffects item if user configured sideEffects in package.json
  */
diff --git a/lib/plugins/features/sideEffects/index.js b/lib/plugins/features/sideEffects/index.js
index ce03f0d13c2d67bf16d9c9b3a64da8c7ace9955b..0318572f6209636fb0e61ef4e7d2b6b111a70740 100644
--- a/lib/plugins/features/sideEffects/index.js
+++ b/lib/plugins/features/sideEffects/index.js
@@ -12,7 +12,7 @@ function _path() {
   return data;
 }
 var _docSideEffectsWebpackPlugin = _interopRequireDefault(require("./docSideEffectsWebpackPlugin"));
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 /**
  * plugin for register a webpack plugin, to avoid tree-shaking for .umi directory if package.json has sideEffects: false
  * because dumi may care some umi runtime plugins, such as .umi/plugin-qiankun
diff --git a/lib/plugins/features/sitemap.js b/lib/plugins/features/sitemap.js
index 8aaf765cd3eef3d652b2a1b72e45acf88405ec8e..1670291ff8cdfa1bc3639f273e043e7c181f129f 100644
--- a/lib/plugins/features/sitemap.js
+++ b/lib/plugins/features/sitemap.js
@@ -26,9 +26,9 @@ function _sitemap() {
   return data;
 }
 var _context = _interopRequireDefault(require("../../context"));
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }
-function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function asyncGeneratorStep(n, t, e, r, o, a, c) { try { var i = n[a](c), u = i.value; } catch (n) { return void e(n); } i.done ? t(u) : Promise.resolve(u).then(r, o); }
+function _asyncToGenerator(n) { return function () { var t = this, e = arguments; return new Promise(function (r, o) { var a = n.apply(t, e); function _next(n) { asyncGeneratorStep(a, r, o, _next, _throw, "next", n); } function _throw(n) { asyncGeneratorStep(a, r, o, _next, _throw, "throw", n); } _next(void 0); }); }; }
 /**
  * plugin for generate sitemap.xml for doc site
  */
@@ -46,7 +46,7 @@ var _default = api => {
     }
   });
   if (api.env === 'production' && api.userConfig.sitemap && !_context.default.opts.isIntegrate) {
-    api.onBuildComplete( /*#__PURE__*/_asyncToGenerator(function* () {
+    api.onBuildComplete(/*#__PURE__*/_asyncToGenerator(function* () {
       const smis = new (_sitemap().SitemapStream)({
         hostname: api.config.sitemap.hostname,
         xmlns: {
diff --git a/lib/plugins/features/symlink.js b/lib/plugins/features/symlink.js
index 53fb5dce3288befb6e6214dd36b53d992f8b19fe..0d56693b76bceba387104fc99f1111ca8c483c5c 100644
--- a/lib/plugins/features/symlink.js
+++ b/lib/plugins/features/symlink.js
@@ -22,7 +22,7 @@ var _context = _interopRequireDefault(require("../../context"));
 var _moduleResolver = require("../../utils/moduleResolver");
 var _getHostPkgAlias = _interopRequireDefault(require("../../utils/getHostPkgAlias"));
 var _symlink = _interopRequireDefault(require("../../utils/symlink"));
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
 /**
  * plugin for create node_modules symlink & webpack alias for local packages
  */
diff --git a/lib/plugins/features/theme.js b/lib/plugins/features/theme.js
index f4145861b02fa29f5fa000d89620fc94503cf649..35917a64cd4c45116a0b34c9f2e3ad81c09e8086 100644
--- a/lib/plugins/features/theme.js
+++ b/lib/plugins/features/theme.js
@@ -27,9 +27,9 @@ function _terser() {
 }
 var _loader = _interopRequireDefault(require("../../theme/loader"));
 var _context = require("../../context");
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }
-function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function asyncGeneratorStep(n, t, e, r, o, a, c) { try { var i = n[a](c), u = i.value; } catch (n) { return void e(n); } i.done ? t(u) : Promise.resolve(u).then(r, o); }
+function _asyncToGenerator(n) { return function () { var t = this, e = arguments; return new Promise(function (r, o) { var a = n.apply(t, e); function _next(n) { asyncGeneratorStep(a, r, o, _next, _throw, "next", n); } function _throw(n) { asyncGeneratorStep(a, r, o, _next, _throw, "throw", n); } _next(void 0); }); }; }
 // initialize data-prefers-color attr for HTML tag
 const COLOR_HEAD_SCP = `
 (function () {
@@ -66,7 +66,7 @@ var _default = api => {
     memo.alias['dumi-theme-default'] = _path().default.dirname(require.resolve('dumi-theme-default/package.json'));
     return memo;
   });
-  api.chainWebpack( /*#__PURE__*/function () {
+  api.chainWebpack(/*#__PURE__*/function () {
     var _ref = _asyncToGenerator(function* (memo) {
       const theme = yield (0, _loader.default)();
       // set alias for dumi theme api
@@ -82,7 +82,7 @@ var _default = api => {
     };
   }());
   // add head script to initialize prefers-color-schema for HTML tag
-  api.addHTMLHeadScripts( /*#__PURE__*/_asyncToGenerator(function* () {
+  api.addHTMLHeadScripts(/*#__PURE__*/_asyncToGenerator(function* () {
     return [{
       content: (yield (0, _terser().minify)(COLOR_HEAD_SCP, {
         ecma: 5
diff --git a/lib/routes/decorator/fallback.js b/lib/routes/decorator/fallback.js
index e82887c794555fe93c456cdd4048a11cc4ea7370..df5a7f9945287ca62c5ab076f83727fe56c280fb 100644
--- a/lib/routes/decorator/fallback.js
+++ b/lib/routes/decorator/fallback.js
@@ -35,14 +35,14 @@ function _deepmerge() {
 var _locale = require("./locale");
 var _getFrontMatter = _interopRequireDefault(require("../getFrontMatter"));
 const _excluded = ["path"];
-function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
-function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
-function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
-function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
-function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
-function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
-function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
-function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
+function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
+function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var s = Object.getOwnPropertySymbols(e); for (r = 0; r < s.length; r++) o = s[r], t.includes(o) || {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
+function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.includes(n)) continue; t[n] = r[n]; } return t; }
+function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
+function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
+function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
+function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
+function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
 function replaceLocaleForPath(pathname, prevLocale, nextLocale) {
   const oPath = prevLocale ? (0, _locale.discardLocalePrefix)(pathname, prevLocale) : pathname;
   return (0, _locale.addLocalePrefix)(oPath, nextLocale).replace(/\/$/, '');
@@ -50,7 +50,7 @@ function replaceLocaleForPath(pathname, prevLocale, nextLocale) {
 /**
  * generate fallback routes for missing locales
  */
-var fallback = function fallback(routes) {
+var fallback = exports.default = function fallback(routes) {
   const defaultLocale = this.options.locales[0][0];
   const fallbacks = [];
   // for missing locale routes
@@ -125,4 +125,3 @@ var fallback = function fallback(routes) {
   });
   return routes.concat(fallbacks);
 };
\ No newline at end of file
-exports.default = fallback;
\ No newline at end of file
diff --git a/lib/routes/decorator/flat.js b/lib/routes/decorator/flat.js
index 70e6033b5fdcafc102934feb57f524fae06b363d..13ca015f8fa1aae95b600b90738301de3e17534b 100644
--- a/lib/routes/decorator/flat.js
+++ b/lib/routes/decorator/flat.js
@@ -5,8 +5,8 @@ Object.defineProperty(exports, "__esModule", {
 });
 exports.default = void 0;
 const _excluded = ["routes"];
-function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
-function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
+function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var s = Object.getOwnPropertySymbols(e); for (r = 0; r < s.length; r++) o = s[r], t.includes(o) || {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
+function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.includes(n)) continue; t[n] = r[n]; } return t; }
 function process(routes, parent) {
   const result = [];
   routes.forEach(route => {
@@ -30,7 +30,6 @@ function process(routes, parent) {
 /**
  * flat child routes decorator
  */
-var flat = function flat(routes) {
+var flat = exports.default = function flat(routes) {
   return process(routes);
 };
\ No newline at end of file
-exports.default = flat;
\ No newline at end of file
